archivers/libcomprex - The NetBSD Packages Collection

Library to handle (de)compression of files

The libcomprex library transparently handles automatic compression and
decompression of files. The API is similar to C's built-in file access
functions, which provides a smooth transition to libcomprex.
libcomprex can also open uncompressed files, making it a good
replacement for the native file access functions.

libcomprex is part of the GNUpdate project.

libcomprex is currently in development (so should not be used in
stable products).

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

www/curl www/curl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibcomprex-0.3.3nb25.tgz
NetBSD 8.0earmv7hflibcomprex-0.3.3nb25.tgz
NetBSD 8.0earmv7hflibcomprex-0.3.3nb25.tgz
NetBSD 8.0i386libcomprex-0.3.3nb25.tgz
NetBSD 8.0i386libcomprex-0.3.3nb25.tgz
NetBSD 8.0i386libcomprex-0.3.3nb25.tgz
NetBSD 8.0powerpclibcomprex-0.3.3nb25.tgz
NetBSD 8.0powerpclibcomprex-0.3.3nb25.tgz
NetBSD 8.0powerpclibcomprex-0.3.3nb25.tgz
NetBSD 8.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 8.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 8.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 9.0aarch64libcomprex-0.3.3nb25.tgz
NetBSD 9.0aarch64libcomprex-0.3.3nb25.tgz
NetBSD 9.0aarch64libcomprex-0.3.3nb25.tgz
NetBSD 9.0alphalibcomprex-0.3.3nb25.tgz
NetBSD 9.0alphalibcomprex-0.3.3nb25.tgz
NetBSD 9.0alphalibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmlibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmv6hflibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmv6hflibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmv6hflibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmv6hflibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmv7hflibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmv7hflibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmv7hflibcomprex-0.3.3nb25.tgz
NetBSD 9.0earmv7hflibcomprex-0.3.3nb25.tgz
NetBSD 9.0i386libcomprex-0.3.3nb25.tgz
NetBSD 9.0i386libcomprex-0.3.3nb25.tgz
NetBSD 9.0i386libcomprex-0.3.3nb25.tgz
NetBSD 9.0mips64eblibcomprex-0.3.3nb25.tgz
NetBSD 9.0mips64eblibcomprex-0.3.3nb25.tgz
NetBSD 9.0mips64eblibcomprex-0.3.3nb25.tgz
NetBSD 9.0powerpclibcomprex-0.3.3nb25.tgz
NetBSD 9.0powerpclibcomprex-0.3.3nb25.tgz
NetBSD 9.0sparc64libcomprex-0.3.3nb25.tgz
NetBSD 9.0sparc64libcomprex-0.3.3nb25.tgz
NetBSD 9.0sparc64libcomprex-0.3.3nb25.tgz
NetBSD 9.0sparc64libcomprex-0.3.3nb25.tgz
NetBSD 9.0sparclibcomprex-0.3.3nb25.tgz
NetBSD 9.0sparclibcomprex-0.3.3nb25.tgz
NetBSD 9.0sparclibcomprex-0.3.3nb25.tgz
NetBSD 9.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 9.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 9.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 9.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 9.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 9.0x86_64libcomprex-0.3.3nb25.tgz
NetBSD 9.0x86_64libcomprex-0.3.3nb25.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.